XQuery2IQLConstants
Keywords: uk.ac.bbk.dcs.automed.qproc.translators.xquery.XQuery2IQLConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.translators.xquery
Interface XQuery2IQLConstants

All Known Implementing Classes:
  XQuery2IQL, XQuery2IQLTokenManager

    public interface XQuery2IQLConstants

Field Summary
`static int` | `AND`
`static int` | `AS`
`static int` | `ASSIGN`
`static int` | `AT`
`static int` | `CASE`
`static int` | `COLON`
`static int` | `COMMA`
`static int` | `CONSTANT`
`static int` | `DECLARE`
`static int` | `DEFAULT`
`static int` | `DIVIDE`
`static int` | `DOCTOKEN`
`static int` | `ELSE`
`static int` | `EOF`
`static int` | `EQUALS`
`static int` | `FOR`
`static int` | `FUNCTION`
`static int` | `GREATER_THAN`
`static int` | `GREATER_THAN_EQUALS`
`static int` | `IF`
`static int` | `IN`
`static int` | `INT_DIVIDE`
`static int` | `LB`
`static int` | `LESS_THAN`
`static int` | `LESS_THAN_EQUALS`
`static int` | `LET`
`static int` | `LP`
`static int` | `LSB`
`static int` | `MINUS`
`static int` | `MOD`
`static int` | `NCTOKEN`
`static int` | `NOT_EQUALS`
`static int` | `NUMBER`
`static int` | `OR`
`static int` | `PATHATTTOKEN`
`static int` | `PATHTEXTTOKEN`
`static int` | `PATHTOKEN`
`static int` | `PLUS`
`static int` | `QNAME`
`static int` | `RB`
`static int` | `RETURN`
`static int` | `RP`
`static int` | `RSB`
`static int` | `SATISFIES`
`static int` | `SLASHATTR`
`static int` | `SOME`
`static int` | `STAR`
`static int` | `STRINGTOKEN`
`static int` | `THEN`
`static java.lang.String[]` | `tokenImage`
`static int` | `VALUE_EQUALS`
`static int` | `VALUE_GREATER_THAN`
`static int` | `VALUE_GREATER_THAN_EQUALS`
`static int` | `VALUE_LESS_THAN`
`static int` | `VALUE_LESS_THAN_EQUALS`
`static int` | `VALUE_NOT_EQUALS`
`static int` | `VARTOKEN`
`static int` | `WHERE`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### FOR

    static final int FOR

See Also:
  Constant Field Values

### LET

    static final int LET

See Also:
  Constant Field Values

### WHERE

    static final int WHERE

See Also:
  Constant Field Values

### RETURN

    static final int RETURN

See Also:
  Constant Field Values

### AND

    static final int AND

See Also:
  Constant Field Values

### OR

    static final int OR

See Also:
  Constant Field Values

### DECLARE

    static final int DECLARE

See Also:
  Constant Field Values

### FUNCTION

    static final int FUNCTION

See Also:
  Constant Field Values

### IF

    static final int IF

See Also:
  Constant Field Values

### THEN

    static final int THEN

See Also:
  Constant Field Values

### ELSE

    static final int ELSE

See Also:
  Constant Field Values

### CASE

    static final int CASE

See Also:
  Constant Field Values

### SOME

    static final int SOME

See Also:
  Constant Field Values

### AT

    static final int AT

See Also:
  Constant Field Values

### IN

    static final int IN

See Also:
  Constant Field Values

### SATISFIES

    static final int SATISFIES

See Also:
  Constant Field Values

### AS

    static final int AS

See Also:
  Constant Field Values

### LP

    static final int LP

See Also:
  Constant Field Values

### RP

    static final int RP

See Also:
  Constant Field Values

### LB

    static final int LB

See Also:
  Constant Field Values

### RB

    static final int RB

See Also:
  Constant Field Values

### LSB

    static final int LSB

See Also:
  Constant Field Values

### RSB

    static final int RSB

See Also:
  Constant Field Values

### ASSIGN

    static final int ASSIGN

See Also:
  Constant Field Values

### COLON

    static final int COLON

See Also:
  Constant Field Values

### COMMA

    static final int COMMA

See Also:
  Constant Field Values

### PLUS

    static final int PLUS

See Also:
  Constant Field Values

### MINUS

    static final int MINUS

See Also:
  Constant Field Values

### STAR

    static final int STAR

See Also:
  Constant Field Values

### DIVIDE

    static final int DIVIDE

See Also:
  Constant Field Values

### INT_DIVIDE

    static final int INT_DIVIDE

See Also:
  Constant Field Values

### MOD

    static final int MOD

See Also:
  Constant Field Values

### EQUALS

    static final int EQUALS

See Also:
  Constant Field Values

### NOT_EQUALS

    static final int NOT_EQUALS

See Also:
  Constant Field Values

### GREATER_THAN

    static final int GREATER_THAN

See Also:
  Constant Field Values

### GREATER_THAN_EQUALS

    static final int GREATER_THAN_EQUALS

See Also:
  Constant Field Values

### LESS_THAN

    static final int LESS_THAN

See Also:
  Constant Field Values

### LESS_THAN_EQUALS

    static final int LESS_THAN_EQUALS

See Also:
  Constant Field Values

### VALUE_EQUALS

    static final int VALUE_EQUALS

See Also:
  Constant Field Values

### VALUE_NOT_EQUALS

    static final int VALUE_NOT_EQUALS

See Also:
  Constant Field Values

### VALUE_GREATER_THAN

    static final int VALUE_GREATER_THAN

See Also:
  Constant Field Values

### VALUE_GREATER_THAN_EQUALS

    static final int VALUE_GREATER_THAN_EQUALS

See Also:
  Constant Field Values

### VALUE_LESS_THAN

    static final int VALUE_LESS_THAN

See Also:
  Constant Field Values

### VALUE_LESS_THAN_EQUALS

    static final int VALUE_LESS_THAN_EQUALS

See Also:
  Constant Field Values

### CONSTANT

    static final int CONSTANT

See Also:
  Constant Field Values

### NUMBER

    static final int NUMBER

See Also:
  Constant Field Values

### VARTOKEN

    static final int VARTOKEN

See Also:
  Constant Field Values

### NCTOKEN

    static final int NCTOKEN

See Also:
  Constant Field Values

### QNAME

    static final int QNAME

See Also:
  Constant Field Values

### SLASHATTR

    static final int SLASHATTR

See Also:
  Constant Field Values

### STRINGTOKEN

    static final int STRINGTOKEN

See Also:
  Constant Field Values

### DOCTOKEN

    static final int DOCTOKEN

See Also:
  Constant Field Values

### PATHTEXTTOKEN

    static final int PATHTEXTTOKEN

See Also:
  Constant Field Values

### PATHATTTOKEN

    static final int PATHATTTOKEN

See Also:
  Constant Field Values

### PATHTOKEN

    static final int PATHTOKEN

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD